#! /bin/bash
# if not run in terminal, script should be run with '/bin/bash -i autocrawler.sh'

echo ""
echo "OCULUSPRIME TOMCAT server"
echo "Use quitserver command to exit"


# set current working dir if necessary
export DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
cd $DIR

if [ -z "$CATALINA_HOME" ]; then
	export CATALINA_HOME=`pwd`;
fi


export CATALINA_OPTS="-Djava.library.path=${CATALINA_HOME}/openCVlib -Djava.security.egd=file:/dev/./urandom -Djava.awt.headless=true"

while true; do

	# update 
	if [ -d webapps/update ]; then
		echo "found update package"
		# run supplied update script
		mv webapps/update/update.sh .
		chmod u+x update.sh
		./update.sh
		rm -f update.sh
	fi

	rm -f oculusrestart oculushalt
	
	# launch server 
	./bin/catalina.sh start

	# get server PID  
	serverpid=`ps xa | grep '[j]ava.*oculusPrime' | awk '{print $1}'`

	# loop waiting for halt file 
	while [ ! -f oculushalt ]; do sleep 1; done

	# stop server
	sleep 2
	kill $serverpid
	echo "stopping OculusPrime server"
	rm -f oculushalt
	
	#restart (continue loop) if flag exists
	if [ -f oculusrestart ];	then
		echo "restarting"
		sleep 5
	else 
		echo "exiting"
		break
	fi
done

sleep 5
